
"""
Script for extracting CO2, NO2 and CO signals from tracer (_BV and _JV) using
Level-2 data.
"""

import glob
import os
import sys

import dplume
import smartcarb as sc


if __name__ == '__main__':

    origin = sys.argv[1]
    ns = 37 if origin == 'Berlin' else 5

    pattern = os.path.join(sc.config.DATA_PATH, 'level2', 'Sentinel_7_CO2',
                           '*.nc')
    filenames = sorted(glob.glob(pattern))

    output_filename = os.path.join(
        sc.config.DATA_PATH, 'timeseries',
        '%s_CO2+NO2+CO_signals_ns%d.dat' % (origin, ns)
    )
    dplume.extract_values_at_area(filenames, output_filename, origin=origin,
                                  ns=5, nl=1)
